LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Java plugin setting in FireFox 4 - pls hlp, tnx (http://www.linuxquestions.org/questions/linux-software-2/java-plugin-setting-in-firefox-4-pls-hlp-tnx-883290/)

Thor_2.0 05-29-2011 01:23 AM

Java plugin setting in FireFox 4 - pls hlp, tnx
 
Hi!

Okay, my turn to ask one. I have FireFox 4, and JRE 6_25, and G3 (dunnow if that's the problem). As described in the docs, I'm supposed to make a symlink to the plugin. The about : plugins keeps reporting File: libnpjp2.so as file, not the plugin.

I just reinstalled 6_21 (the one I know works) and have successfully made a symlink, but FireFox refuses to accept the link.

The applets do not have sound - tested with RuneScape and the Bells applet, no sound, but there is the music in RuneScape...

What can I do next?

Thanks for some tips.

Thor

H_TeXMeX_H 05-29-2011 03:49 AM

I know it works if you symlink it to ~/.mozilla/plugins.

Thor_2.0 05-29-2011 04:19 AM

Hi,

So do I, but the plugin test at java.com says 6_21, the about says 6_25 and the console says 6_25 as well but claims it uses the plugin in he 6_21 folder.
I made the symlink to libjavaplugin...but the about keeps reporting "libnpjp2.so" as plugin, real freaky....

I know I had to re-set the link on annother system because the 25 kept crashing - as it does on the main box here too.

Is there a different way FF4 handles this plugin?

By the way:

Quote:

If you understand everything, you fear nothing.
This just picked me up...tnx :D

Thor

H_TeXMeX_H 05-29-2011 04:25 AM

Maybe you have more than one version installed. Make sure to only have one version installed and link it to just one plugins folder. It cannot be copied, as you have said before, or it will crash. More than one version linked to different places will also cause problems, so check this.

Thor_2.0 05-29-2011 05:16 AM

Well,

Quote:

java -version
reveals a 6u25, and I have set the link to the proper libjavaplugin - but the about still says "libnpjp2.so" - that edges me to believe FF4 ahndles this thing differently somehow...

H_TeXMeX_H 05-29-2011 05:25 AM

I don't think it's FF4, because it works fine here with FF4. It is detected properly, and both of the above sites work.

Thor_2.0 05-29-2011 05:39 AM

Okay, that is a relief. Then I'll have to look deeper/elsewhere...

On to the meditation cavern...

Edit : Epiphany has the same provlem, could it be a security issue? It's like it is only the JRE that's acting up...

Thor_2.0 05-30-2011 02:12 AM

Not that I want to bump my own thread...so: sorry if I "bug" someone :)

After the (dreaded) update I noticed no sound in my applets (Runescape - my only weakness :D ), so I looked into the log and found this:

Quote:

OSS emulation modules are not loaded by default, add to rc.conf if needed.
Could this be a clue? Do applets need OSS emulation?

Just asking, before I cause more breakage...the system is limping along like a corpse, here...

Thor

H_TeXMeX_H 05-30-2011 04:02 AM

What is the output of lsmod ? See:
https://wiki.archlinux.org/index.php...les_are_loaded

Thor_2.0 05-30-2011 01:35 PM

Thanks...you've lit the path for me to follow...

What I had to do was

Quote:

modprobe snd_pcm_oss
as Root, now I have to set this in rc.conf so it gets loaded automatically...

Thanks, with a huge sigh of relief.

My weekend is good - wait, it's monday, my weekend is ... over... :o

Anyway, thanks man...


All times are GMT -5. The time now is 10:17 AM.